Create a new help request

POST /internal/admin/comms/v1/help/request

Operation id: post__internal_admin_comms_v1_help_request

Description

This API allows a user to create a new help request against specified target.

Below is the map of notification type and what they represent:

  • 0 - Voice
  • 1 - UI

Tags: Assistant

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Request created successfully

Content type: application/json

400 — Bad request

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
initiatorLoginstringYesUser Login of the request originator
destinationstringNoDestination for the responders to reach
quotainteger (int16)NoThe number of responders required
tenant_idstringYesTenant ID of the request originator
notification_typeinteger (int16)Nonotification type - Voice - 0, UI - 1
targetobjectNo
{
  "type": "object",
  "required": [
    "initiatorLogin",
    "tenant_id",
    "targetList"
  ],
  "properties": {
    "initiatorLogin": {
      "type": "string",
      "description": "User Login of the request originator"
    },
    "destination": {
      "type": "string",
      "description": "Destination for the responders to reach"
    },
    "quota": {
      "type": "integer",
      "format": "int16",
      "description": "The number of responders required"
    },
    "tenant_id": {
      "type": "string",
      "description": "Tenant ID of the request originator"
    },
    "notification_type": {
      "type": "integer",
      "format": "int16",
      "description": "notification type - Voice - 0, UI - 1"
    },
    "target": {
      "type": "object",
      "properties": {
        "roleName": {
          "type": "string",
          "nullable": true
        },
        "deptId": {
          "type": "string",
          "nullable": true
        }
      }
    }
  }
}

Response models

200 — Request created successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
idinteger (int64)No
initiatorLoginstringNo
quotainteger (int16)No
destinationstringNo
created_atstring (date-time)No
targetListobjectNo
notificationTypestringNoVoice - 0, UI - 1
{
  "type": "object",
  "properties": {
    "id": {
      "type": "integer",
      "format": "int64"
    },
    "initiatorLogin": {
      "type": "string"
    },
    "quota": {
      "type": "integer",
      "format": "int16"
    },
    "destination": {
      "type": "string"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "targetList": {
      "type": "object"
    },
    "notificationType": {
      "type": "string",
      "description": "Voice - 0, UI - 1"
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}